Bug 28993 - Switch magnifying glass in staff detail pages to FA icon
Summary: Switch magnifying glass in staff detail pages to FA icon
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 20362
  Show dependency treegraph
 
Reported: 2021-09-10 09:14 UTC by Katrin Fischer
Modified: 2022-02-18 11:01 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 28993: Switch magnifying class in staff detail pages to FA icon (11.21 KB, patch)
2022-01-12 17:02 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28993: Switch magnifying class in staff detail pages to FA icon (11.26 KB, patch)
2022-01-23 20:53 UTC, David Nind
Details | Diff | Splinter Review
Bug 28993: Switch magnifying class in staff detail pages to FA icon (11.31 KB, patch)
2022-01-30 13:28 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2021-09-10 09:14:23 UTC
It appears that bug 13327 switched the magnifying class shown on authority links in the OPAC detail pages to a FA icon. It would be nice to make the same change to the staff detail pages.
Comment 1 Owen Leonard 2021-09-10 18:32:20 UTC
I'd like to also replace the image on the authority detail page but I'm confused by this section of the template (authorities/detail.tt):

[% IF ( subfiel.link ) %]
    <a class="authlink" href="/cgi-bin/koha/catalogue/search.pl?op=do_search&amp;marclist=[% subfiel.link | uri %]&amp;operator==&amp;type=intranet&amp;value=[% subfiel.marc_value |url %]">
        <i class="fa fa-search" aria-label="Search on [% subfiel.marc_value | html %]" title="Search on [% subfiel.marc_value | html %]"></i>
    </a>
[% END %]
[% IF ( subfiel.authority ) %]
    <a href="/cgi-bin/koha/authorities/detail.pl?authid=[% subfiel.authority | uri %]" class="button">Auth</a>
[% END %]

Are subfiel.link and subfiel.authority really relevant to an authority record? I'm wondering if it's actually copy and paste from the MARC view.
Comment 2 Katrin Fischer 2021-09-20 14:25:29 UTC
Authorities can also be linked to each other hierarchically - could that have to do with it?
Comment 3 Owen Leonard 2022-01-12 17:02:43 UTC
Created attachment 129355 [details] [review]
Bug 28993: Switch magnifying class in staff detail pages to FA icon

This patch modifies the staff interface's bibliographic detail XSL so
that a Font Awesome is used instead of a magnifying glass image when
listing authority subject headings.

The patch also corrects two other places where the image is used so that
the image can be removed. Some markup from authorities.detail.tt is
removed because it appears to be unused (a copy and paste from
catalogue/detail.tt).

To test, apply the patch and rebuild the staff interface CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

- To view the changes to the staff interface bibliographic detail page,
  locate a record which has at least one subject heading which is linked
  to a subject authority record.
- The subject heading link should be followed by a magifying glass
  (Font Awesome) icon which links to the authority record's detail page.
- View a similar change to the MARC detail page for the record. Confirm
  that the subject headings are followed by a link to the authority
  detail page.
- Follow the authority search link to locate and view an authority
  record. The information on the authority detail page should be
  correct.
Comment 4 David Nind 2022-01-23 20:53:33 UTC
Created attachment 129715 [details] [review]
Bug 28993: Switch magnifying class in staff detail pages to FA icon

This patch modifies the staff interface's bibliographic detail XSL so
that a Font Awesome is used instead of a magnifying glass image when
listing authority subject headings.

The patch also corrects two other places where the image is used so that
the image can be removed. Some markup from authorities.detail.tt is
removed because it appears to be unused (a copy and paste from
catalogue/detail.tt).

To test, apply the patch and rebuild the staff interface CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

- To view the changes to the staff interface bibliographic detail page,
  locate a record which has at least one subject heading which is linked
  to a subject authority record.
- The subject heading link should be followed by a magifying glass
  (Font Awesome) icon which links to the authority record's detail page.
- View a similar change to the MARC detail page for the record. Confirm
  that the subject headings are followed by a link to the authority
  detail page.
- Follow the authority search link to locate and view an authority
  record. The information on the authority detail page should be
  correct.

Signed-off-by: David Nind <david@davidnind.com>
Comment 5 Katrin Fischer 2022-01-30 13:28:54 UTC
Created attachment 129981 [details] [review]
Bug 28993: Switch magnifying class in staff detail pages to FA icon

This patch modifies the staff interface's bibliographic detail XSL so
that a Font Awesome is used instead of a magnifying glass image when
listing authority subject headings.

The patch also corrects two other places where the image is used so that
the image can be removed. Some markup from authorities.detail.tt is
removed because it appears to be unused (a copy and paste from
catalogue/detail.tt).

To test, apply the patch and rebuild the staff interface CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

- To view the changes to the staff interface bibliographic detail page,
  locate a record which has at least one subject heading which is linked
  to a subject authority record.
- The subject heading link should be followed by a magifying glass
  (Font Awesome) icon which links to the authority record's detail page.
- View a similar change to the MARC detail page for the record. Confirm
  that the subject headings are followed by a link to the authority
  detail page.
- Follow the authority search link to locate and view an authority
  record. The information on the authority detail page should be
  correct.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Katrin Fischer 2022-01-30 13:29:35 UTC
Especially like the newly added aria-label :)
Comment 7 Fridolin Somers 2022-02-02 19:45:36 UTC
magnifying "glass" 🔍
I'll fix commit message when pushing to master
Comment 8 Fridolin Somers 2022-02-10 08:03:07 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄